Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.registry
Interface TransformerResolver

All Known Implementing Classes:
  TypeBasedTransformerResolver

    public interface TransformerResolver

A TransformResolver is used to find transformers that match a certain criteria in the registry. Implementations of this class will use some or all of the information passed in to discover a matching transformer.

Any implementations of this class must be registered with the registry before it will get picked up. Typically this is done using the registry-bootstrap.properties.

Nested Class Summary
`static class` | `TransformerResolver.RegistryAction`

Method Summary
`Transformer` | `resolve(TransformCriteria criteria)` Responsible for finding a transformer with the given criteria.
`void` | `transformerChange(Transformer transformer, TransformerResolver.RegistryAction registryAction)` A callback that is called when a transformer is registered or unregistered from the registry.

Method Detail

### resolve

    Transformer resolve(TransformCriteria criteria)
                        throws ResolverException

  Responsible for finding a transformer with the given criteria. Note that if a transformer is not found null should be return, an exception must NOT be thrown.

  Parameters:
    `criteria` - the transform critera
  Returns:
    a transformer from the registry that matches the criteria or null if a transformer was not found
  Throws:
    `ResolverException` - Only thrown if an exception is thrown during the search, this exception will just be a wrapper

### transformerChange

    void transformerChange(Transformer transformer,
                           TransformerResolver.RegistryAction registryAction)

  A callback that is called when a transformer is registered or unregistered from the registry. This is used in situations where the resolver caches transformers and the cache needs to be updated

  Parameters:
    `transformer` - the transformer that has changed
    `registryAction` - whether the transformer was added or removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.